Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Oct 2021 22:38:55 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 17 Oct 2021 22:27:43 +0300
> 
> >> It's a feature of :options in defcustom that it takes the text
> >> from the docstrings.  Maybe it's possible to override this text,
> >> but I currently don't know how.
> >
> > OK, how about the patch below?
> 
> Everything is right, except this sentence:
> 
> > @@ -705,11 +705,14 @@ tab-bar-format
> > +Adding a function to the list causes the tab bar to show
> > +that string, or display a menu with those menu items when
> > +you click on the tab bar.
> 
> Since menu items are used to display tabs, something like this
> would be more correct:
> 
>   Adding a function to the list causes the tab bar to show
>   that string, or display tabs represented by menu items
>   on the tab bar.

But that's not what I see.  What I see is a single tab called "Menu",
which, when clicked, shows the global menu.

Or what do you mean by "tabs represented by menu items"?  How can a
tab be represented by a menu item?